package cn.newfeifan.mall.module.distri.controller.admin.ptprofitlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;


@Schema(description = "管理后台 - 平台利润记录新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PtProfitLogSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12046")
    private Long id;

    @Schema(description = "增加金额")
    private Long amount;

    @Schema(description = "增加后金额")
    private Long afterAmount;

    @Schema(description = "变动的冻结积分")
    private Long freezeAmount;

    @Schema(description = "变动后的冻结积分值")
    private Long afterFreezeAmount;

    @Schema(description = "收益类型 1:平台服务器费 2:平台收益 3推荐人额度 4直推人额度 5合赢奖 6最高可以获得积分", example = "2")
    private Integer profitStatus;

    @Schema(description = "用户ID , 只有收益类型为 3,4才有值", example = "6982")
    private Long userId;

    @Schema(description = "订单Id", example = "26464")
    private Long orderId;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "计算百分比模板")
    private String percentTemplate;

}