package cn.newfeifan.mall.sale.dal.dataobject.shop;

import lombok.*;

import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 店铺 DO
 *
 * @author 非繁人
 */
@TableName("sale_shop")
@KeySequence("sale_shop_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShopDO extends BaseDO {

    /**
     * 店铺id
     */
    @TableId
    private Long id;
    /**
     * 店铺名称
     */
    private String name;
    /**
     * 店铺状态
     */
    private Integer status;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * logo地址
     */
    private String logoUrl;
    /**
     * 域名
     */
    private String website;
    /**
     * 是否启用全场包邮
     */
    private Boolean deliveryExpressFreeEnabled;
    /**
     * 全场包邮的最小金额，单位：分
     */
    private Integer deliveryExpressFreePrice;
    /**
     * 是否开启自提
     */
    private Boolean deliveryPickUpEnabled;

}